{:root '(
    {:re #"\b(:arglists|:doc|:file|:line|:macro|:name|:ns|:private|:tag|:test|new|alias|alter|and|apply|assert|class|cond|conj|count|do|doall|dorun|doseq|dosync|eval|filter|finally|find|first|fn|gen-class|gensym|if|import|inc|keys|let|list|loop|map|ns|or|print|println|quote|rand|recur|reduce|ref|repeat|require|rest|send|seq|set|sort|str|struct|sync|take|test|throw|trampoline|try|type|use|var|vec|when|while)\b"
     :action nil
     :apply-style ["Keywords1"]
    } 
    {:re #"#(?<!\\)\""
     :to-state :regexin
     :apply-style ["Regexp"]
    }
    {:re #"(?<!\\)\"" 
     :to-state :double-string
     :apply-style ["DoubleString"]
     :action "DoubleString"
    }
    {:re #"\b(def|defmacro|defn|defstruct|deref)\b"
     :to-state nil
     :apply-style ["Keywords3"]
    }
    {:re #",|\[|\]|\(|\)|\{|\}"
     :to-state nil
     :apply-style ["Pars"]
    }
    {:re #"-?[0-9][0-9.xA-F]*\b"
     :to-state nil
     :apply-style ["Number"]
    }
    {:re #"\b(nil)\b"
     :apply-style ["Special"]
     :to-state nil
    }
    {:re #";.*"
     :apply-style ["Comment"]
    }
    {:re #"[*][a-z][A-Za-z0-9_\\-\\.]*[*]"
     :apply-style ["Special"]
    }
    {:re #"['\\.@][a-z][A-Za-z0-9_\-\\.]*"
     :apply-style ["Keywords3"]
    }
    {:re #"[:][a-z][A-Za-z0-9_\-\\.]*"
     :apply-style ["Keywords4"]
    }
    {:re #"([.]|\'|~|&|\||\\\\|<|>|=|:|\+|-|\*|\^|\$|\?|\!|%|#)\b"
     :apply-style ["Operators"]
    }
  )
 
 :double-string 
 '(
    {:re #"\\\""
     :apply-style ["Special"]
    }
    {:re #"(?<!\\)\""
     :apply-style ["DoubleString"]
     :action "pop"
    }
    {:re #"(\b(?:(?:https?|ftp):\/\/|mailto:)\S*[^\s!\"\'',.:;?])"
     :apply-style ["Url"]
    }
 )
 
 :regexin
 '(
    {:re #"(?<!\\)\""
     :apply-style ["Regex"]
     :action "pop"
    }
   )
  
 :comment
 '(
    {:re #"(\b(?:(?:https?|ftp):\/\/|mailto:)\S*[^\s!\"\'',.:;?])"
     :apply-style ["Url"]
    }
    {:re #"$"
     :apply-style ["Comment"]
     :action "pop"
    }
  )

}
